<!doctype html>
<html>
 <head>
   <script src='https://cdn.jsdelivr.net/npm/vue'></script>
   <style>
   textarea{
     width: 300px;
     height: 100px;
   }
   </style>
 </head>
 <body>
 
   <div id='myapp'>
     <textarea v-model='message' @keyup='countNumber()'></textarea>
     <br>
     <span>{{ numberWords }}</span>


   </div>

   <!-- Script -->
   <script>
   var app = new Vue({
     el: '#myapp',
     data: {
       message: "",
       maxWord: 100,
       numberWords: "",
       words: app ? app.length : 0,
     },
     methods: {
       countNumber: function(){
        var word = 0 + this.words;
        //    var word = 0 + this.message.length;
           this.numberWords = "You have " + word + " words.";

         }
 
       }
     
   })

   </script>
 </body>
</html>